Doomsday Engine - Feature #1694

[Doom] Invulnerability animation: full bright sync, apply tic rate
2013-12-31 08:50 - vermil

Status: New Start date: 2013-12-31
Priority: Low % Done: 0%
Assignee:

Category: Minor detalil

Target version: Rendering

Description

The focus on the Doom invulnerability filter using Dday's first ever view shader, for 1.13's release has made me notice:

While Dday has changed the screen filter to fade in smoothly rather than instantly appear versus Vanilla, that it hasn't done the same
to the full bright part of invulnerability; that still instantly occurs and it actually does it an instant before the screen filter even appears,
which looks a bit ugly visually.

I would like to make an RFE that the full bright part occur smoothly, rather than instantly, to match the changes Dday made to the
filters appearance?

While I'm here, I'll also point out, that in older versions of Dday, the invulnerability screen filter's fade in/out, was affected by the tic
rate. In 1.13 it isn't; I'm not sure whether that is a bug or a deliberate change?

Related issues:
Related to Feature #1685: [Doom] Inverted B&W palette for invulnerability Closed 2013-12-17

History

#1 - 2013-12-31 11:06 - skyjake

- Tags set to Doom, Renderer

- Subject changed from [Doom] invunerability full bright oversight to [Doom] Invulnerability animation: full bright sync, apply tic rate
- Category set to Minor detail

- Priority changed from Normal to Low

#2 - 2017-04-03 18:56 - skyjake

- Target version set to Rendering
